<p align="center">
  <a href="http://www.gnu.org/licenses/gpl-3.0.txt">
    <img src="https://img.shields.io/badge/license-GPL_3-green.svg" alt="License GPL 3" />
  </a>
</p>

# Livie is Video in Emacs

![screenshot](screenshot.png)

Livie allows the user to search youtube.com and play the video from `mpv`.

## Requeriments

- `python-beautifulsoup4`
- `python-lxml`
- `mpv`
- `hypervideo` or `youtube-dl`

  `sudo pacman -S python-beautifulsoup4 python-lxml mpv hypervideo`

## Installation

``` emacs-lisp
(require 'livie "~/.emacs.d/path/to/livie.el")
(setq livie-script-path (expand-file-name "path/to/livie.py" user-emacs-directory))
```

## Usage

Just run `M-x livie` and enter a search query. `n`, `p` and `tab`
can be used to navigate the buffer.  Type `s` to enter another search.
To watch a video, press `<enter>`.
